{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseProfile(Lorg/eclipse/uml2/uml/Profile;)Ljava/lang/Object;",
  "numberOfDefinitions": 6,
  "calls": {
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseElement(Lorg/eclipse/uml2/uml/Element;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLUtil$UML2EcoreConverter.doSwitch(Lorg/eclipse/emf/ecore/EObject;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.casePackageableElement(Lorg/eclipse/uml2/uml/PackageableElement;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLUtil$UML2EcoreConverter.casePackage(Lorg/eclipse/uml2/uml/Package;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.doSwitch(ILorg/eclipse/emf/ecore/EObject;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseParameterableElement(Lorg/eclipse/uml2/uml/ParameterableElement;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseNamespace(Lorg/eclipse/uml2/uml/Namespace;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/resource/UML22UMLResourceHandler$1$1.\u003cinit\u003e(Lorg/eclipse/uml2/uml/resource/UML22UMLResourceHandler$1;Ljava/util/List;)V": 1,
    "Lorg/eclipse/emf/ecore/util/Switch.doSwitch(Lorg/eclipse/emf/ecore/EObject;)Ljava/lang/Object;": 1
  }
}